CreateOccurrenceJobEvent (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.event

## Class CreateOccurrenceJobEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<CreateOccurrenceJobEventHandler>
    - - org.gcube.portlets.user.speciesdiscovery.client.event.CreateOccurrenceJobEvent

-     public class CreateOccurrenceJobEvent
      extends com.google.gwt.event.shared.GwtEvent<CreateOccurrenceJobEventHandler>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<CreateOccurrenceJobEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateOccurrenceJobEvent(SaveFileFormat fileFormat, int expectedOccurrences, OccurrencesSaveEnum save, List<String> listDataSourceFound, String searchTerm, boolean isByDataSource)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(CreateOccurrenceJobEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<CreateOccurrenceJobEventHandler>` | `getAssociatedType()`
    `int` | `getExpectedOccurrences()`
    `SaveFileFormat` | `getFileFormat()`
    `List<String>` | `getListDataSourceFound()`
    `OccurrencesSaveEnum` | `getSaveEnum()`
    `String` | `getSearchTerm()`
    `boolean` | `isByDataSource()`
    `void` | `setByDataSource(boolean isByDataSource)`
    `void` | `setExpectedOccurrences(int expectedOccurrences)`
    `void` | `setFileFormat(SaveFileFormat fileFormat)`
    `void` | `setListDataSourceFound(ArrayList<String> listDataSourceFound)`
    `void` | `setSaveEnum(OccurrencesSaveEnum saveEnum)`
    `void` | `setSearchTerm(String searchTerm)`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final com.google.gwt.event.shared.GwtEvent.Type<CreateOccurrenceJobEventHandler> TYPE

  - ### Constructor Detail

    - #### CreateOccurrenceJobEvent

          public CreateOccurrenceJobEvent(SaveFileFormat fileFormat,
                                  int expectedOccurrences,
                                  OccurrencesSaveEnum save,
                                  List<String> listDataSourceFound,
                                  String searchTerm,
                                  boolean isByDataSource)

      Parameters:
        `fileFormat` -
        `expectedOccurrences` -
        `save` -
        `listDataSourceFound` -
        `searchTerm` -
        `isByDataSource` -

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<CreateOccurrenceJobEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<CreateOccurrenceJobEventHandler>`

    - #### dispatch

          protected void dispatch(CreateOccurrenceJobEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<CreateOccurrenceJobEventHandler>`

    - #### getSaveEnum

          public OccurrencesSaveEnum getSaveEnum()

    - #### setSaveEnum

          public void setSaveEnum(OccurrencesSaveEnum saveEnum)

    - #### getListDataSourceFound

          public List<String> getListDataSourceFound()

    - #### setListDataSourceFound

          public void setListDataSourceFound(ArrayList<String> listDataSourceFound)

    - #### getFileFormat

          public SaveFileFormat getFileFormat()

    - #### setFileFormat

          public void setFileFormat(SaveFileFormat fileFormat)

    - #### getExpectedOccurrences

          public int getExpectedOccurrences()

    - #### setExpectedOccurrences

          public void setExpectedOccurrences(int expectedOccurrences)

    - #### getSearchTerm

          public String getSearchTerm()

    - #### setSearchTerm

          public void setSearchTerm(String searchTerm)

    - #### isByDataSource

          public boolean isByDataSource()

    - #### setByDataSource

          public void setByDataSource(boolean isByDataSource)

Copyright © 2013. All Rights Reserved.